<!DOCTYPE html>
<html>
<head>
	<title>CRC20</title>
</head>
<body>
	<script type="text/javascript">

		function convert(txt) {
		var cut = (txt.charCodeAt(0))%256;
	   	var oct = cut.toString(2);
	   	var binary = "00000000".substr(oct.length) + oct;
	   	return binary;
		}

		function toBin(txt) {
	   var result = [];
	   while (txt.length < 8) {
	       txt += String.fromCharCode(0);
	   }

	   for (i=0; i < 8; i++) {
	       result.push(convert(txt[i]));
	   }
	   var colone = [];
	   var calcC = 0;
	   for (var k = 0; k < result.length; k++) {
	   	for (var j = 0; j < result.length; j++) {
		   		calcC += parseInt(result[j].charAt(k));
		   }
		   calcC = calcC % 2;
		   colone.push(calcC);
		   calcC = 0;
	   }

	   var ligne = [];
	   var calcL = 0;
	   for (var m = 0; m < result.length; m++) {
		   	for (var l = 0; l < result.length; l++) {
		   	calcL += parseInt(result[m].charAt(l));
		   		}
		   calcL = calcL % 2;
		   ligne.push(calcL);
		   calcL= 0;
	   }

		console.log("Ligne : "+ligne);
	    console.log("Colone : "+colone);
	    return result;
	}

	</script>
</body>
</html>